require 'test_helper'

class CTypCinnostisControllerTest < ActionController::TestCase
  setup do
    @c_typ_cinnosti = c_typ_cinnostis(:one)
  end

  test "should get index" do
    get :index
    assert_response :success
    assert_not_nil assigns(:c_typ_cinnostis)
  end

  test "should get new" do
    get :new
    assert_response :success
  end

  test "should create c_typ_cinnosti" do
    assert_difference('CTypCinnosti.count') do
      post :create, c_typ_cinnosti: @c_typ_cinnosti.attributes
    end

    assert_redirected_to c_typ_cinnosti_path(assigns(:c_typ_cinnosti))
  end

  test "should show c_typ_cinnosti" do
    get :show, id: @c_typ_cinnosti
    assert_response :success
  end

  test "should get edit" do
    get :edit, id: @c_typ_cinnosti
    assert_response :success
  end

  test "should update c_typ_cinnosti" do
    put :update, id: @c_typ_cinnosti, c_typ_cinnosti: @c_typ_cinnosti.attributes
    assert_redirected_to c_typ_cinnosti_path(assigns(:c_typ_cinnosti))
  end

  test "should destroy c_typ_cinnosti" do
    assert_difference('CTypCinnosti.count', -1) do
      delete :destroy, id: @c_typ_cinnosti
    end

    assert_redirected_to c_typ_cinnostis_path
  end
end
